Subject: I-D ACTION:draft-levy-megaco-mgdiscovery-00.txt

From: [email-masked]
Date: Tue, 3 Oct 2000 06:49:34 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Megaco/H.248 Media Gateway Resources Discovery
        Author(s)       : T. Levy, L. Anquetil
        Filename        : draft-levy-megaco-mgdiscovery-00.txt
        Pages           : 8
        Date            : 02-Oct-00

This document addresses the need for a Media Gateway Controller
(MGC) to be informed from the media resources of its Media Gateways
(MG) in the context of the Megaco/H.248 protocol. The draft
discusses alternative solutions for an effective media gateway
resources discovery mechanism.
The document is provided as an informational draft for discussion
within the Megaco Working Group.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-levy-megaco-mgdiscovery-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
        "get draft-levy-megaco-mgdiscovery-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
        [email-masked].
In the body type:
        "FILE /internet-drafts/draft-levy-megaco-mgdiscovery-00.txt".

NOTE:   The mail server at ietf.org can return the document in
        MIME-encoded form by using the "mpack" utility.  To use this
        feature, insert the command "ENCODING mime" before the "FILE"
        command.  To decode the response(s), you will need "munpack" or
        a MIME-compliant mail reader.  Different MIME-compliant mail readers
        exhibit different behavior, especially when dealing with
        "multipart" MIME messages (i.e. documents which have been split
        up into multiple messages), so check your local documentation on
        how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Thomas LEVY <[email-masked]>
Date: Tue, 3 Oct 2000 18:10:27 +0200

Hello All,

This draft is intended to discuss 2 alternative solutions to fill the Megaco
requirement (RFC 2805) expressed in the section "6.1.  Resource Status Management".

Especially :
"   d.   Provide an MG Resource Discovery mechanism which must allow an
        MGC to discover what resources the MG has. Expressing resources
        can be an arbitrarily difficult problem and the initial release
        of the protocol may have a simplistic view of resource
        discovery."

The first solution makes use of the ServiceChangeProfile.
The second solution makes use of the AuditValue command to audit the  media
resources of  an MG.
There are may be other solutions to suggest?

Concerning the second solution:
A comment that I received from Brian Rosen is that the media resources (or
capabilities) description is also in the scope of future SDP.
It should be interesting if SDP could integrate "media capabilities" from both
terminal and media gateway.
It would allow to factorize all the media part into SDP.
Any concordant (or discordant !!!) opinion?

Thomas,

[email-masked] a écrit :

>   ------------------------------------------------------------------------
> Content-Type: text/plain
> Content-ID:     <[email-masked]>